.toast-top-right {
  top: 80px;
}

.notif-wrapper {
  pointer-events: all;
  margin-bottom: 10px;

  .notif-container {
    box-shadow: 0 0 5px 1px rgba(68, 67, 64, 0.1), 0 2px 16px 0 rgba(68, 67, 64, 0.08);
    border-radius: 50px;
    background-color: white;
    padding: 16px 40px;
    min-width: 464px;
    max-width: 464px;
    min-height: 72px;

    .notif-content {
      display: flex;
      align-items: flex-start;

      //NOTIF CONTENT ICON STYLE
      .notif-icon {
        display: flex;
        align-items: center;
        justify-content: center;
        width: 40px;
        height: 40px;
        color: white;
        border-radius: 50%;
        margin-right: 10px;

        i {
          display: none;
          font-size: 20px;
        }
      }

      //NOTIF CONTENT CLOSE ICON STYLE
      .notif-icon-close {
        font-size: 11px;
        font-weight: bold;
        padding-top: 5px;
        //align-self: start;
        //margin-bottom: -4px;
      }

      //NOTIF CONTENT TEXT STYLE
      .notif-text {
        width: 80%;

        &-title {
          font-family: Roboto-Medium, sans-serif;
          font-size: 18px;
          font-weight: 500;
          color: $nlbDarkGreyColor;
          //height: 20px; //
        }

        &-subtitle {
          font-family: Roboto, sans-serif;
          font-size: 14px;
          font-weight: 300;
          color: $nlbMainGreyColor;
        }
      }
    }
  }
}

nlb-contacts-success-notification,
nlb-contacts-error-notification,
nlb-contacts-success-delete-notification,
nlb-contacts-error-delete-notification,
nlb-custom-toast-component {
  &.success-notif {
    .notif-icon {
      background-color: $nlbGreenColor;

      i.icon-nlb-ico-check {
        display: block !important;
      }
    }
  }

  &.error-notif {
    .notif-icon {
      background-color: $nlbRedColor;

      i.icon-nlb-ico-warning {
        display: block !important;
        margin-top: -4px;
      }
    }
  }

  &.info-notif {
    .notif-icon {
      background-color: $nlbBlueColor;

      i.icon-nlb-ico-info {
        display: block !important;
      }
    }
  }

  &.warning-notif {
    .notif-icon {
      background-color: $nlbYellowColor;

      i.icon-nlb-ico-notifications {
        display: block !important;
      }
    }
  }
}

// Notification not showing on Edge is resolved by
// Link to comment: https://stackoverflow.com/a/53989699/4862541
#toast-container > * {
  opacity: 1 !important;
  -ms-filter: progid:DXImageTransform.Microsoft.Alpha(Opacity=100) !important;
  filter: alpha(opacity=100) !important;
}
